opusfile: OpusServerInfo Struct Reference

| opusfile 0.12 Stand-alone decoder library for .opus files.

Loading...
Searching...
No Matches
Data Fields
OpusServerInfo Struct Reference

HTTP/Shoutcast/Icecast server information associated with a URL. More...

`#include <opusfile.h>`

## Data Fields
char * | name
| The name of the server (icy-name/ice-name).
char * | description
| A short description of the server (icy-description/ice-description).
char * | genre
| The genre the server falls under (icy-genre/ice-genre).
char * | url
| The homepage for the server (icy-url/ice-url).
char * | server
| The software used by the origin server (Server).
char * | content_type
| The media type of the entity sent to the recepient (Content-Type).
opus_int32 | bitrate_kbps
| The nominal stream bitrate in kbps (icy-br/ice-bitrate).
int | is_public
| Flag indicating whether the server is public (`1`) or not (`0`) (icy-pub/ice-public).
int | is_ssl
| Flag indicating whether the server is using HTTPS instead of HTTP.

## Detailed Description

HTTP/Shoutcast/Icecast server information associated with a URL.

## Field Documentation

## ◆ name

char* OpusServerInfo::name

The name of the server (icy-name/ice-name).

This is `NULL` if there was no `icy-name` or `ice-name` header.

## ◆ description

char* OpusServerInfo::description

A short description of the server (icy-description/ice-description).

This is `NULL` if there was no `icy-description` or `ice-description` header.

## ◆ genre

char* OpusServerInfo::genre

The genre the server falls under (icy-genre/ice-genre).

This is `NULL` if there was no `icy-genre` or `ice-genre` header.

## ◆ url

char* OpusServerInfo::url

The homepage for the server (icy-url/ice-url).

This is `NULL` if there was no `icy-url` or `ice-url` header.

## ◆ server

char* OpusServerInfo::server

The software used by the origin server (Server).

This is `NULL` if there was no `Server` header.

## ◆ content_type

char* OpusServerInfo::content_type

The media type of the entity sent to the recepient (Content-Type).

This is `NULL` if there was no `Content-Type` header.

## ◆ bitrate_kbps

opus_int32 OpusServerInfo::bitrate_kbps

The nominal stream bitrate in kbps (icy-br/ice-bitrate).

This is `-1` if there was no `icy-br` or `ice-bitrate` header.

## ◆ is_public

int OpusServerInfo::is_public

Flag indicating whether the server is public (`1`) or not (`0`) (icy-pub/ice-public).

This is `-1` if there was no `icy-pub` or `ice-public` header.

## ◆ is_ssl

int OpusServerInfo::is_ssl

Flag indicating whether the server is using HTTPS instead of HTTP.

This is `0` unless HTTPS is being used. This may not match the protocol used in the original URL if there were redirections.

The documentation for this struct was generated from the following file:

- opusfile.h